Is there an older Mac version of AI that is compatible with OS High Sierra v10.13.6?

Engaged ,
Mar 23, 2022 Mar 23, 2022

Copy link to clipboard

Copied

I am working on an old but efficient iMac that has topped out at High Sierra, 10.13.6.

 

Is there an older version of AI that is compatible with this OS?  If so, where can I find it & download?

 

Thanks!

 

 

System

Mac OS High Sierra  v10.13.6

Hardware Overview:

  Model Name: iMac (mid 2011)

  Model Identifier: iMac12,1

  Processor Name: Intel Core i5

  Processor Speed: 2.5 GHz

  Number of Processors: 1

  Total Number of Cores: 4

  L2 Cache (per Core): 256 KB

  L3 Cache: 6 MB

  Memory: 16 GB

  Boot ROM Version: 87.0.0.0.0

  SMC Version (system): 1.71f22

  Hardware UUID: BC7F645E-B12A-5C39-96A4-A2CEDD75192C

 

Views

49

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Mar 23, 2022 Mar 23, 2022

Copy link to clipboard

Copied

LATEST

You should be able to install Illustrator version 24.x on your MAC. However, Adobe only supports the latest two versions of the software and only they are provided for download via the CC Desktop app. So the only option to get installer for this version of the s/w is to contact support and ask the installer files from them, they should be able to help you

To contact support, login to your account and navigate to the URL below. Make sure that the browser has cookies enabled, and all script blockers are disabled.
https://helpx.adobe.com/contact.html?rghtup=autoOpen
Type AGENT to avoid bots and talk to a human.

If you want other prior versions of the software then you can check out the following website, it provides download links directly from Adobe servers so it's perefectly safe. However, the links are not guranteed to work(in case Adobe pulls down the servers providing the downloads), so if you are able to download the software do keep a copy of it.

https://prodesigntools.com

Illustrator system requirements can be checked at

https://helpx.adobe.com/illustrator/system-requirements/earlier-versions.html

-Manan

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines